Skip to main content
GET
/
api
/
v1
/
candidates
/
{id}
/
notes
List candidate notes
curl --request GET \
  --url https://app.outhire.ai/api/v1/candidates/{id}/notes \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 162,
      "candidate_id": 419,
      "type": "note_added",
      "note": "Referred by internal team.",
      "note_preview": "Referred by internal team.",
      "performer_id": null,
      "added_by": "api",
      "created_at": "2026-03-11T10:21:54.553198Z"
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "eyJvZmZzZXQiOjI1fQ"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required

Numeric candidate id.

Query Parameters

limit
integer
default:25

Page size. Defaults to 25. Maximum 100.

Required range: 1 <= x <= 100
cursor
string

Opaque cursor returned by the previous page.

Response

Candidate notes list

Candidate notes list response with pagination metadata.

data
object[]
required
pagination
object
required

Cursor pagination metadata returned by list endpoints.